{
//////////////////////////////////////////////////////////////////////
// MACRO to see how to use the online classes. To run it one needs a 
// data file containing events in raw data format.
//                                 Judith Katzy, july 98
/////////////////////////////////////////////////////////////////////
  Char_t FileName[256];
  sprintf(FileName,"%s/init/test/Detector.root", 
            gSystem->Getenv("PHATHOME"));
  TFile f(FileName);
  TPhDetector *det = f.Get("PMC_V4.20");
  f.Close();

// the histogram size
  Int_t nchan=128;
  gROOT.cd();
  TPhOnSignal *tt = new TPhOnSignal(nchan);
  tt->SetEventSwitch(200);

  TPhEvent *event;
  Int_t n=0;
  sprintf(FileName, "%s/data/cv0_001.raw.root",gSystem->Getenv("PHATHOME"));
  TPhDST *dst = new TPhDST(FileName);
  gBenchmark->Start("fill");
  while (event = dst->GetNextEvent()) {
    n++;
    gROOT.cd();
    tt->Fill(event);
    delete event;
  }
gBenchmark->Show("fill");
// save histos to file
gROOT.cd();
tt->WriteToFile();
dst->Close();
// look at histos
TFile f("CHANNEL.root");
TPhOnSignal *signal = new TPhOnSignal(&f);
signal->Draw("NI13",&f);
f.Close();
}








