// Test TPhRawHitBuffer reading part.
{
  gROOT->Reset();
  Char_t FileName[256];

  sprintf(FileName, "%s/data/pi300_1000x100.api.root", gSystem->Getenv("PHATHOME"));

  TPhDST file(FileName);

  TPhEvent *Event;

  Int_t i;
  UChar_t *arr;

  while(Event = file.GetNextEvent()) {
    TPhHashContainer *Container = (TPhHashContainer*) Event->GetObject("MCRawHitBuffers");

    TPhRawHitBuffer *Hit;
    TIter NextRawHitBuffer(Container->GetIterator());

    while(RawHitBuffer = (TPhRawHitBuffer*) NextRawHitBuffer()) {
      if(RawHitBuffer->GetNHits() > 2)
	printf("RawHitBuffer Name: %s #hits %d\n", RawHitBuffer->GetName(), 
	       RawHitBuffer->GetNHits());

      RawHitBuffer->Unpack();
      RawHit_t *RawHit;
      for(i = 0; i < RawHitBuffer->GetNHits(); i++) {
 	RawHitBuffer->Peek(i);
	RawHitBuffer->PeekUnpck(i);
      }
    }
  }

  file.Close();
}
