{
    gROOT.Reset();


    Float_t x;
    Float_t z;
    Float_t dist;
    Int_t num = 0;
    Int_t i;
    
    const Float_t kMomX = 0.08;
    const Float_t kMomZ = 0.08;

    TPhHit *hit;
    TPhStuff *stuff = new TPhStuff();

    TPhMagnet *magnet = new TPhMagnet(1);
    TPhDetector *det  = new TPhDetector();
    det->FillSensorList("/home/rolandg/phat/init/test");

    TPhSwim   *swim = new TPhSwim();
    swim->SetMagnet(magnet);
    swim->SetDetector(det);
    swim->SetMS(kFALSE);
    swim->SetPixelize(kFALSE);


    TrueTrack = new TPhTrack();
    TrueTrack->SetPx(kMomX);
    TrueTrack->SetPz(kMomZ);
    TrueTrack->SetPy(0);
    TrueTrack->SetMass(0.139);
    TrueTrack->SetCharge(1);
    swim->SwimTrack(TrueTrack);
     
    TPhTrackTemplate *t = new TPhTrackTemplate(16);
    t->FillTrack(TrueTrack,kFALSE);

    swim->SetMS(kTRUE);
    swim->SetPixelize(kTRUE);
    swim->SetVerbose(0);      

    FILE *fp;

    Float_t vec[13];

    TCanvas c("c");

    TH1F prob("prob","prob",100,0,1);
    TPhStuff *stuff = new TPhStuff();
    Float_t chi2;
    Float_t ndof;

    t->ReadCovar("covar.out");
    fp = fopen("dist.out","r");
    for(i=0;i<400;i++)
    {
        for(j=0;j<13;j++)
        {
           fscanf(fp,"%f ",&vec[j]);
        }
        t->CalcChi2(vec,&chi2,&ndof);
        x = stuff->GetProb(chi2,ndof);
        prob.Fill(x);
        prob.Draw();
        c.Update();
    }
    fclose(fp);
}

