// Tof.C  Wrapper for interactive control of time of flight analysis
//     "Process" for use with phatonl.C.
//  "Skeleton" version to be filled in by U of R    09-Jan-1998   D McLeod
//***********************************************************************
void Tof(Int_t phase = 0, Int_t dflag = 0)
{
  if (ReportLevel >= 3) {
    printf("Tof entered, phase = %d, dflag = %d\n",phase,dflag);
  }
//*********************************************************************
  if(phase == kIni1) {  
    if (ReportLevel >= 3) printf("Tof initialization\n");

  } // end of initialization phase wrapper
//******************************************************************
  if(phase == kRun1) { 
    if (ReportLevel >= 3) printf("Tof run phase\n");

  }  // end of run phase wrapper
//******************************************************************  
  if(phase == kDis3) {
    if (ReportLevel >= 3) printf("Tof:starting display\n"); 

  }  // end of display phase wrapper
//******************************************************************  
  if(phase == kDisf) {
    if (ReportLevel >= 3) printf("Tof:starting final display\n"); 

  }  // end of final display phase wrapper
//*************************************************************************
}  // end of Tof.C
