#ifndef _TPhTriggerSensor_
#define _TPhTriggerSensor_

////////////////////////////////////////////////////////////////////////////
//
// TPhTriggerSensor
//
// This class is the base class of all the trigger sensors. 
//
// Created 980429 by P. Decowski
//
// $Id: TPhTriggerSensor.h,v 1.3 1999/01/13 18:12:57 decowski Exp $
//
////////////////////////////////////////////////////////////////////////////

#include "TPhSensor.h"

class TPhTriggerSensor : public TPhSensor {

public:

  TPhTriggerSensor();
  virtual ~TPhTriggerSensor();

  virtual Int_t       MakeHitArraysOutOfHits(Char_t *HitConName, 
					     Char_t *HitArrayConName);

  virtual void        SetRows(Int_t Rows) { fRows = Rows; }
  virtual void        SetColumns(Int_t Columns) { fColumns = Columns; }
  virtual Int_t       GetRows() { return fRows; }
  virtual Int_t       GetColumns() { return fColumns; }

private:
  Int_t   fColumns;
  Int_t   fRows;

public:

  ClassDef(TPhTriggerSensor,1)    // Trigger counter base class

};

#endif // TPhTriggerSensor

