      SUBROUTINE MAKEDETECTOR(GEOMVER)
*Documentation_Block
************************************************************************
*
*  Description:
*  Substitution for a Phat routine called in case SMEM = 1
*
*  Arguments:
*  GEOMVER    - Geometry version number from /UGGEOV/
*
*  Called by:
*  ph_geom
*
*  Calls:
*
*  Implicit inputs, outputs, side effects:
*
*  History:
*  Date       Name       Description
*  ----       ----       -----------
*   15-May-98  K.W.    Creation
************************************************************************
*End_Documentation_Block

      IMPLICIT NONE

      REAL GEOMVER


      WRITE(99, '('' * '')' )
      WRITE(99, '('' * Geometry version'')' )
      WRITE(99, '('' G GEOV '', F10.3)' )   GEOMVER
      WRITE(99, '('' * '')' )

      END
