// File Spc.h  - reconstruction in spectrometer
//   Global variable definitions cut out and turned into an include file
//                                                     KW  1999/02/03

  Int_t fVerbose=0;
  Int_t useseed=0;
  Float_t MaxCompDist=3.0;
  Float_t kCPUlimit = 60.;
  Int_t mergtype=1;
  Int_t mergmax=2;

  Int_t num = 0;
  Int_t i;
  Int_t j;
  Int_t neventsmax;
  Int_t ncandidates, ntrfound;
  Int_t neventntrf[21];
  Float_t templtested; 
  Float_t x, z;
  Int_t       nhitarr;
  Char_t     *name;

  TPhSubDetector *spectP, *spectN;
  TIter          *NextHit;
  TIterator      *spectPIter, *spectNIter;
  TPhSpectSensor *ssens;
  TObjArray  *tracklist;
  TObjArray  *hitlist;
  TPhTrack   *track;
  TPhHit     *hit;
 
  TPhMerging *merg;
  TPhTrackTemplFinder  *tfinder;
  TPhTrackSelector   *tsel;
  TPhTrackSeedFinder     *tseed;
//    End of Spc.h


