#include "TPhMomentumVector.h"

ClassImp(TPhMomentumVector)


////////////////////////////////////////////////////////////
//
// TPhMomentumVector provides storage and manipulation
// for PHOBOS data objects based on momentum 4-vectors
// like TPhTrack objects. Future implementations of 
// TPhMomentumVector should also provide services such as 
// Lorentz transformations.
//
////////////////////////////////////////////////////////////

TPhMomentumVector::TPhMomentumVector()
{
  fPx = 0;
  fPy = 0;
  fPz = 0;
  fCharge = 0;
}
