//   File Mul.h obtained by editing runmul.C (R. V. macro)  DMcL 9/05/98
//       First part cut out & turned into an include file.
//    Many lines from runmul.C are removed.
//    Recommendation:  leave otherwise intact, override default
//    variable contents in Mul(Kini1), perhaps interactively.
//    Also watch out for conflicts with any other "user" macros in phat.C 
//***********************************************************************
// runmul.C: minimal ROOT script to do multiplicity reconstruction
// 28-Aug-98: Based on fitdept.C (Robin Verdier)

// Display graphs to be plotted and/or written to output file:
// The dNames must begin with 'd' so mul knows they're displays.
// The plot selectors are for high-resolution dNdEta for one event and 
// cumulative normal-resolution dNdEta.

  Int_t          nPlots = 3;
  Char_t        *dNames[nPlots] = { "d0", "d1", "d2"};
  Char_t        *dSelectors[nPlots] = { "*+hr-1", "*+in-1", "*+hr-1"};
  TH2F          *dg[nPlots]; // 2d hist. pointers
  TPhMul  mp;   //  This makes mp global, not so if in init loop! 
  TCanvas *c1;    // c1 = new TCanvas in initialization phase
//   End of Mul.h

















